Announcement

Collapse
No announcement yet.

PopcornFX Plugin BETA

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • replied
    Originally posted by Jo_PkFX View Post
    Thanks vrMan.

    We plan to support all platforms (except HTML5 which will be trickier), the PopcornFX Runtime already works everywhere, we just need to test the Plugin.

    Yes, there is a bunch of blueprint functions to control Emitters, Attributes (effect parameters) and stuff like that.
    great news , hope you add android support first .
    i watched popcornfx tutorials , its layer base and need expression to make effects , i think it will be really easy to control particles with a flowchart base UI ,a node base editor like unreal Blueprint , Cebas Thinking Particle or XSI/ICE , trust me i found most of FX artist dont like to put even a single line code for making effects.

    Leave a comment:


  • replied
    Thanks vrMan.

    We plan to support all platforms (except HTML5 which will be trickier), the PopcornFX Runtime already works everywhere, we just need to test the Plugin.

    Yes, there is a bunch of blueprint functions to control Emitters, Attributes (effect parameters) and stuff like that.

    Leave a comment:


  • replied
    really cool plugin , is this work in mobile devices ? (android/ios)
    hope you guys add a blueprint editor for controling particles , (like houdini/xsi/fabric-Splice )

    Leave a comment:


  • replied
    Hey !

    Here it is, we officially released the UE4 PopcornFX Plugin 1.0.0 ! :

    https://forums.unrealengine.com/show...-0-0-Released-

    Leave a comment:


  • replied
    Hey, here is an update on the UE4 PopcornFX Plugin:

    So, there is a bad and a good news:

    We won't be able to get to the UE4 Marketplace, we have not been able to agree on the licensing system.

    But, the good news: we are building our own PopcornFX Store for the UE4 PopcornFX Plugin:
    • 25$ per seat for a personal license
    • 250$ per seat for a commercial license (for Studios)
    • and custom licenses with custom PopcornFX SDK will always be available


    We are targeting end of April for the release on our Store.

    Then, you'll have access to the private github and the PopcornFX SDK Windows only for now. The plugin has been tested on Linux and PS4, and PopcornFX SDK already runs on all other platforms (except HTML5), but we need to do more testing of the Plugin on those platforms before release them.

    Leave a comment:


  • replied
    what taking the release so long? just curious as so many marketplace things have been released since hearing that this was "almost" here some info would be great!

    Leave a comment:


  • replied
    Just wanted to give my support here. Really excited about this and looking forward to the release, two thumbs up!

    Leave a comment:


  • replied
    The .MAN file came from that site!

    Now, from another computer i seem to be getting a .7z with the correct files!
    Thanks!

    Leave a comment:


  • replied
    @LOAW: where does that .MAN file comes from ?

    Check out http://www.popcornfx.com/unreal-engine-4/
    We talk about the v1.0.0: we are still on the way to be released on the Marketplace, hoping to get there before GDC 2016.
    In the meantime, you can play with the "outdated" Beta, the most important features were already there.

    Leave a comment:


  • replied
    Hello!

    I was wondering what was happeing with this plugin, ive been watching alot of videos and read the installation instructions (outdated).
    the only thing i am getting is a .MAN file instead of a PopcornFX.uplugin.

    Leave a comment:


  • replied
    This post was answered on the answerhub.

    For plugin installation/usage issues, please use the answerhub.

    Leave a comment:


  • replied
    Hello everybody.

    Particles made with "PopcornFX" will have trouble not read in "Unreal Engine4".

    Particle will have been created using the "SamplerShape".
    It is possible to read as to "Shapetype" a "BOX",Can not be read as to "Mesh".
    "MeshResources" is a bone-in model that was output by FBX.

    help me.


    Specs:
    · PopcornFX Plugin: 0.5.7
    · PopcornFX: 1.8.4
    · UnrealEngine: 4.9.2



    ※ This article uses the Google translation.
      I'm sorry in strange English.


    Click image for larger version

Name:	images.php?file=9612072163.jpg
Views:	1
Size:	679.7 KB
ID:	1093538
    "BOX" can read but "Mesh" can not be read.

    Click image for larger version

Name:	images.php?file=8440640019.jpg
Views:	1
Size:	585.9 KB
ID:	1093539
    PopcornFX is the editor screen. Do you have any doubt?

    Leave a comment:


  • replied
    Hi zzzlor,

    Sorry for the delay. It most probably comes from the Settings "PackMointPoint", as mentioned in the error message boxes.

    PackMountPoint is the root directory in UE's Content Browser where all imported PopcornFX assets must be imported under.

    ImportSourcePack is the "real" "physical" directory of your pack, the one in your windows explorer, the one you open with PopcornFX Editor. It's used to auto-import PKFX asset dependencies (textures, meshes, etc...).


    So, say your "real" source pack ImportSourcePack is "D:\...\MyPopcornFXPack\".

    And you set PackMountPoint to "/Game" ("/Game" is the true name of the "Content" in UE's Content Browser).

    Then if you have a "D:\...\MyPopcornFXPack\Particles\MyEffect.pkfx", then it is advise to import it in UE "/Game/Particles/MyEffect.pkfx". And if this pkfx uses, say "D:\...\MyPopcornFXPack\Textures\MyDiffuse.png", asset dependency auto-import will import it in "/Game/Texture/MyDiffuse.png".

    If you had set PackMountPoint to "/Game/MyPopcornFX", the imported path shall have been "/Game/MyPopcornFX/Particles/MyEffect.pkfx" and "/Game/MyPopcornFX/Texture/MyDiffuse.png".

    (Also, all assets used by PopcornFX (texture, meshes etc...) must also be under PackMountPoint)

    Leave a comment:


  • replied
    zzzlor. На самом деле все работает. Жаль только что, нельзя упаковать свою игру. И зачем ты засунул в движок Unreal этот плагин. Оставь плагин в своем созданном проекте, а с движка (4.8 или 4.9), в папке Plugins убери. Или сделай наоборот, со своего проекта убери а в движке оставь. И еще, плагин 0.5.7 предназначен для Unreal Engine 4.9.2, а для 4.8.3 вроде 0.5.6

    Leave a comment:


  • replied
    I do not know what I'm doing wrong... I can't import nothing ! Help me, please. Click image for larger version

Name:	-AM_B-BxyfA.jpg
Views:	1
Size:	29.3 KB
ID:	1092503 Click image for larger version

Name:	kOIQX6sZDBw.jpg
Views:	1
Size:	29.6 KB
ID:	1092504
    Attached Files

    Leave a comment:

Working...
X